com.amazonaws.services.cloudfront.model

## Class TagResourceRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.TagResourceRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class TagResourceRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to add tags to a CloudFront resource.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`TagResourceRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TagResourceRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getResource()` An ARN of a CloudFront resource.
`Tags` `getTags()` A complex type that contains zero or more `Tag` elements.
`int` `hashCode()`
`void` `setResource(String resource)` An ARN of a CloudFront resource.
`void` `setTags(Tags tags)` A complex type that contains zero or more `Tag` elements.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TagResourceRequest` `withResource(String resource)` An ARN of a CloudFront resource.
`TagResourceRequest` `withTags(Tags tags)` A complex type that contains zero or more `Tag` elements.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TagResourceRequest

    public TagResourceRequest()

### Method Detail

#### setResource

    public void setResource(String resource)

An ARN of a CloudFront resource.

Parameters:
  `resource` - An ARN of a CloudFront resource.

#### getResource

    public String getResource()

An ARN of a CloudFront resource.

Returns:
  An ARN of a CloudFront resource.

#### withResource

    public TagResourceRequest withResource(String resource)

An ARN of a CloudFront resource.

Parameters:
  `resource` - An ARN of a CloudFront resource.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTags

    public void setTags(Tags tags)

A complex type that contains zero or more `Tag` elements.

Parameters:
  `tags` - A complex type that contains zero or more `Tag` elements.

#### getTags

    public Tags getTags()

A complex type that contains zero or more `Tag` elements.

Returns:
  A complex type that contains zero or more `Tag` elements.

#### withTags

    public TagResourceRequest withTags(Tags tags)

A complex type that contains zero or more `Tag` elements.

Parameters:
  `tags` - A complex type that contains zero or more `Tag` elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TagResourceRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`